MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030140Community[OCCT] OCCT:Modeling Algorithmspublic2018-09-17 11:092018-09-30 18:47
Reporterhwliu11 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusverifiedResolutionfixed 
PlatformIntel X86OSWindowsOS Version10
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030140: Modeling Algorithms - Access Null Pointer within FindPlane() defined in GeomFill_CorrectedFrenet.cxx
DescriptionIn TKGeomAlgo/GeomFill/GeomFill_CorrectedFrenet.cxx,in Function FindPlane at line 267 to 278,the Value TabP not Allocate,so crash
  default:
    { // On utilise un echantillonage
      Standard_Integer nbp = 15 + theC->NbIntervals(GeomAbs_C3);
      Standard_Real f, l, t, inv;
      Standard_Integer ii;
      f = theC->FirstParameter();
      l = theC->LastParameter();
      inv = 1./(nbp-1);
      for (ii=1; ii<=nbp; ii++) {
    t = ( f*(nbp-ii) + l*(ii-1));
    t *= inv;
    TabP->SetValue(ii, theC->Value(t));
      }
    }
  }
so miss code like this TabP = new (TColgp_HArray1OfPnt) (1, nbp)?
Steps To Reproduceline l_path 0 0 0 1 0 0
trim l_path l_path 0 10
mkedge path l_path
wire path path

circle c_profile 0 0 2 1 0 0 5
mkedge profile c_profile
wire profile profile

pipe result path profile 0
# pipe on linear path is OK

point dir 0 1 0
offsetcurve offset_path l_path 2 dir
mkedge path offset_path
wire path path

pipe result path profile 0
# pipe on offset path raises exception
An exception was caught 0000027089E266F0 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x0000000000000020 during 'READ' operation
** Exception ** 0000027089E266F0 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x0000000000000020 during 'READ' operation
TagsNo tags attached.
Test case numberbugs/modalg_7/bug30140
Attached Files

- Relationships

-  Notes
(0079226)
msv (developer)
2018-09-17 21:19

It is obvious that allocation is missing here.
(0079233)
git (administrator)
2018-09-18 11:10

Branch CR30140 has been created by nbv.

SHA-1: 0fdd769a83e4dfdcb41949684822d90dd1dbbab7


Detailed log of new commits:

Author: nbv
Date: Tue Sep 18 11:10:19 2018 +0300

    0030140: Modeling Algorithms - Access Null Pointer
    
    The array TabP has been allocated correctly.
(0079234)
nbv (developer)
2018-09-18 12:54

Dear Eugeny,

Please review the branch CR30140.

Test results are here: http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30140-master_NBV/ [^]
(0079235)
emv (developer)
2018-09-18 13:00

Reviewed.
(0079249)
bugmaster (administrator)
2018-09-18 19:28

Combination -
OCCT branch : CR30140 SHA - 0fdd769a83e4dfdcb41949684822d90dd1dbbab7
Products branch : master SHA - f9065a267b8d853b9b62de5a81af9e9e51bc8d26
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17736.509999999784 / 17379.439999999933 [+2.05%]
Products
Total CPU difference: 7481.980000000051 / 7467.690000000077 [+0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 17561.42257249863 / 17536.33761169853 [+0.14%]
Products
Total CPU difference: 8368.408443299986 / 8382.276932199968 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079255)
git (administrator)
2018-09-19 10:01

Branch CR30140 has been updated by nbv.

SHA-1: 8fde0677ae2d4e516b78cfea17314f6ddaa9f8d4


Detailed log of new commits:

Author: nbv
Date: Wed Sep 19 10:00:47 2018 +0300

    # Small correction in the test case

(0079517)
git (administrator)
2018-09-30 18:47

Branch CR30140 has been deleted by inv.

SHA-1: 8fde0677ae2d4e516b78cfea17314f6ddaa9f8d4

- Related Changesets
occt: master 7e425ba7
Timestamp: 2018-09-18 08:10:19
Author: nbv
Committer: bugmaster
Details ] Diff ]
0030140: Modeling Algorithms - Access Null Pointer

The array TabP has been allocated correctly.
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug30140 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-17 11:09 hwliu11 New Issue
2018-09-17 11:09 hwliu11 Assigned To => msv
2018-09-17 21:18 msv Assigned To msv => nbv
2018-09-17 21:18 msv Status new => assigned
2018-09-17 21:18 msv Target Version => 7.4.0*
2018-09-17 21:19 msv Note Added: 0079226
2018-09-18 10:21 emv Steps to Reproduce Updated View Revisions
2018-09-18 10:43 nbv Summary Access Null Pointer => Modeling Algorithms - Access Null Pointer
2018-09-18 11:10 git Note Added: 0079233
2018-09-18 12:54 nbv Note Added: 0079234
2018-09-18 12:54 nbv Assigned To nbv => emv
2018-09-18 12:54 nbv Status assigned => resolved
2018-09-18 13:00 emv Note Added: 0079235
2018-09-18 13:00 emv Assigned To emv => bugmaster
2018-09-18 13:00 emv Status resolved => reviewed
2018-09-18 19:26 bugmaster Test case number => bugs/modalg_7/bug30140
2018-09-18 19:28 bugmaster Note Added: 0079249
2018-09-18 19:28 bugmaster Status reviewed => tested
2018-09-19 10:01 git Note Added: 0079255
2018-09-20 18:31 kgv Summary Modeling Algorithms - Access Null Pointer => Modeling Algorithms - Access Null Pointer within FindPlane() defined in GeomFill_CorrectedFrenet.cxx
2018-09-30 18:26 bugmaster Changeset attached => occt master 7e425ba7
2018-09-30 18:26 bugmaster Status tested => verified
2018-09-30 18:26 bugmaster Resolution open => fixed
2018-09-30 18:47 git Note Added: 0079517


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker